summaryrefslogtreecommitdiffstats
path: root/.local/bin/ifinstalled
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2021-10-23 10:27:45 -0400
committerLuke Smith <luke@lukesmith.xyz>2021-10-23 10:27:45 -0400
commit2ddfa7ab0f2597b26be9872e37d7374b75a72678 (patch)
treeb61978b8ba4fa7600fa832971a0c3000d84d2663 /.local/bin/ifinstalled
parent0cc1758b0219704cf5a72b8e06150c54041a98e5 (diff)
downloadeibhear-2ddfa7ab0f2597b26be9872e37d7374b75a72678.tar.gz
eibhear-2ddfa7ab0f2597b26be9872e37d7374b75a72678.tar.zst
eibhear-2ddfa7ab0f2597b26be9872e37d7374b75a72678.zip
better fix
Diffstat (limited to '.local/bin/ifinstalled')
-rwxr-xr-x.local/bin/ifinstalled5
1 files changed, 3 insertions, 2 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index ff36466..c192eba 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -6,6 +6,7 @@
# various other scripts for clarity's sake.
for x in "$@"; do
- { ! which "$x" >/dev/null 2>&1 && ! pacman -Qq "$x" >/dev/null 2>&1 ;} &&
- notify-send "📦 $x" "must be installed for this function." && exit 1 ;
+ if ! which "$x" >/dev/null 2>&1 && ! pacman -Qq "$x" >/dev/null 2>&1; then
+ notify-send "📦 $x" "must be installed for this function." && exit 1 ;
+ fi
done